Class | XMLRPC::FaultException
In: | xmlrpc/parser.rb
Parent: | StandardError

### Methods

new to_h

### External Aliases

faultString | -> | message

### Attributes

faultCode | [R] |
faultString | [R] |

### Public Class methods

new(faultCode, faultString)

[Source]

    # File xmlrpc/parser.rb, line 59
        def initialize(faultCode, faultString)
          @faultCode   = faultCode
          @faultString = faultString
        end

### Public Instance methods

to_h()

returns a hash

[Source]

    # File xmlrpc/parser.rb, line 65
        def to_h
          {"faultCode" => @faultCode, "faultString" => @faultString}
        end

[Validate]